org.apache.fontbox.cff

## Class CFFEncoding

- java.lang.Object
- - org.apache.fontbox.encoding.Encoding
  - - org.apache.fontbox.cff.CFFEncoding

Direct Known Subclasses:
  CFFExpertEncoding, CFFStandardEncoding

    public abstract class CFFEncoding
    extends Encoding

A CFF Type 1-equivalent Encoding. An encoding is an array of codes associated with some or all glyphs in a font

Author:
  John Hewson

### Field Summary

### Fields inherited from class org.apache.fontbox.encoding.Encoding

`codeToName, nameToCode`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `add(int code, int sid)` For use by subclasses only.
`void` `add(int code, int sid, String name)` Adds a new code/SID combination to the encoding.

### Methods inherited from class org.apache.fontbox.encoding.Encoding

`addCharacterEncoding, getCode, getCodeToNameMap, getName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### add

    public void add(int code,
                    int sid,
                    String name)

Adds a new code/SID combination to the encoding.

Parameters:
  `code` - the given code
  `sid` - the given SID

#### add

    protected void add(int code,
                       int sid)

For use by subclasses only.